package de.fhhannover.inform.trust.ifmapj.channel;

import de.fhhannover.inform.trust.ifmapj.exception.CommunicationException;

public interface IfmapChannel {
	
	public String getSessionId();
	
	public String getPublisherId();
	
	public Integer getMaxPollResSize();
	
	public void closeTcpConnection() throws CommunicationException;
	
	public void setGzip(boolean useGzip);
	
	public boolean usesGzip();
}
