package de.fhhannover.inform.trust.ifmapj.metadata;

/**
 * Entity class for the the wlan-security-type in an wlan-information element.
 * 
 * @author ib
 *
 */
public class WlanSecurityType {
	
	public final WlanSecurityEnum mWlanSecurityEnum;
	public final String mOtherTypeDefinition;
	
	/**
	 * 
	 * @param wlanSecurity
	 * @param otherTypeDefinition necessary if wlanSecurity is {@link WlanSecurityEnum#other}
	 */
	public WlanSecurityType(WlanSecurityEnum wlanSecurity, String otherTypeDefinition) {
		mWlanSecurityEnum = wlanSecurity;
		mOtherTypeDefinition = otherTypeDefinition;
	}
}
